# $Revision: 1.20 $, $Date: 2006/05/21 17:28:37 $
# TODO
# - httpdir conflicts with apache2
# - ghost and verify to index.html
Summary:	Small WebServer
Summary(pl):	May WebServer
Name:		monkey
Version:	0.9.1
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://monkeyd.sourceforge.net/versions/%{name}-%{version}.tar.gz
# Source0-md5:	e4febf180e9a708fa9eccc9286c02eab
Source1:	%{name}d.init
Patch0:		%{name}-pld.patch
Patch1:		%{name}-security.patch
URL:		http://monkeyd.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	webserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/usr/sbin
%define		_sysconfdir	/etc/httpd
# FIXME apache owns that dir too. conflict or choose other dir. imho
%define		httpdir		/home/services/httpd

%description
Monkey is a small WebServer written 100% in C.

%description -l pl
Monkey to may WebServer napisany w 100% w jzyku C.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--cgibin=%{httpdir}/cgi-bin \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{httpdir}/html \
	--logdir=/var/log/monkey \
	--lang=en

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir},%{_bindir}} \
	$RPM_BUILD_ROOT{%{httpdir}/cgi-bin,%{httpdir}/html/{imgs,php,docs}} \
	$RPM_BUILD_ROOT%{_var}/log/monkey

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/monkeyd
install bin/monkey $RPM_BUILD_ROOT%{_bindir}
install cgi-bin/* $RPM_BUILD_ROOT%{httpdir}/cgi-bin
install conf/*.* $RPM_BUILD_ROOT%{_sysconfdir}
install htdocs/*.* $RPM_BUILD_ROOT%{httpdir}/html
install htdocs/imgs/*.* $RPM_BUILD_ROOT%{httpdir}/html/imgs
install htdocs/php/*.* $RPM_BUILD_ROOT%{httpdir}/html/php
install htdocs/docs/*.* $RPM_BUILD_ROOT%{httpdir}/html/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add monkeyd
%service monkeyd restart

%preun
if [ "$1" = "0" ]; then
	%service monkeyd stop
	/sbin/chkconfig --del monkeyd
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog.txt HowItWorks.txt MODULES README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(000,root,root) %{httpdir}/cgi-bin/*
# FIXME index.html would be replaced/removed with the package!!!
%{httpdir}/html/*
%{_var}/log/monkey

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: monkey.spec,v $
Revision 1.20  2006/05/21 17:28:37  glen
- pass CC

Revision 1.19  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.18  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.17  2005/04/24 17:52:42  misi3k
- up to 0.9.1

Revision 1.16  2004/12/17 15:34:32  darekr
- updated to 0.9.0

Revision 1.15  2004/11/07 09:48:07  ankry
- O: removed

Revision 1.14  2004/08/29 11:27:45  paszczus
- updated to 0.8.5

Revision 1.13  2004/08/18 22:50:13  undefine
- release 1

Revision 1.12  2004/07/06 22:16:18  emes
- new version, upgrade is recommended.

Revision 1.11  2004/03/14 01:01:42  gotar
- fixed service name,
- simplified,
- release 0.3.

Revision 1.10  2004/03/13 00:57:15  gotar
- chmod +x /etc/rc.d/init.d/*, cosmetics, comment, release 0.2

Revision 1.9  2004/02/13 16:09:59  misi3k
- sec update (0.8.2)
  bug:
  get_real_string() function allows for a Denial of Service

Revision 1.8  2004/02/08 07:36:08  misi3k
- updated to 0.8
- removed patch0 (fix_includes)

Revision 1.7  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.6  2003/06/09 11:27:17  adamg
- up to 0.7.1
- fixed source0 url
- split monkey-redhat.patch into monkey-fix_includes.patch and
  monkey-pld.patch
- attempt to fix some security issues (if ok, STBR)

Revision 1.5  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/12 16:21:25  misi3k
- updated to 0.7.0

Revision 1.2  2003/04/22 22:35:21  misi3k
- s/Daemons/Networking\/Daemons/, s/gpl/GPL/

Revision 1.1  2003/04/22 22:29:58  misi3k
- initial release
